Module modPuzzle

    Public ZeichneBilder As New ArrayList      ' array bilder Form1
    Public BildNr As New ArrayList             ' array bilder frmBilder
    Public intPosNr(1, 1) As Integer           ' zweidim Array
    Private booGezogen(11) As Boolean          ' schon gezeichnet 
    Public intAnzahlKlick As Integer = 0       ' klicks zählen

    Public Sub IniArrays()
        '-- bilder in Form1
        ZeichneBilder.Add(Form1.PictureBox0) : ZeichneBilder.Add(Form1.PictureBox1) : ZeichneBilder.Add(Form1.PictureBox2)
        ZeichneBilder.Add(Form1.PictureBox3) : ZeichneBilder.Add(Form1.PictureBox4) : ZeichneBilder.Add(Form1.PictureBox5)
        '-- bilder der frmBilder --- farbe
        BildNr.Add(FrmBilder.PictureBox0) : BildNr.Add(FrmBilder.PictureBox1) : BildNr.Add(FrmBilder.PictureBox2)
        BildNr.Add(FrmBilder.PictureBox3) : BildNr.Add(FrmBilder.PictureBox4) : BildNr.Add(FrmBilder.PictureBox5)
        '-- bilder der frmBilder ---   sw
        BildNr.Add(FrmBilder.PictureBox6) : BildNr.Add(FrmBilder.PictureBox7) : BildNr.Add(FrmBilder.PictureBox8)
        BildNr.Add(FrmBilder.PictureBox9) : BildNr.Add(FrmBilder.PictureBox10) : BildNr.Add(FrmBilder.PictureBox11)
    End Sub
    Public Sub BilderSchwarzWeiss()
        Dim intZufall As Integer
        Dim i As Integer
        For i = 0 To 11 : booGezogen(i) = False : Next
        '-- zufallszahlen von 6 bis 11
        For i = 0 To 5
            intZufall = ZufallsZahl(6, 12)
            ZeichneBilder(i).Image = BildNr(intZufall).Image
            ZeichneBilder(i).Tag = intZufall
        Next
    End Sub
    Public Function ZufallsZahl(ByVal intTief As Integer,
                                ByVal intHoch As Integer) As Integer
        Dim intRandom As New Random
        Do
            ZufallsZahl = intRandom.Next(intTief, intHoch)
            If Not booGezogen(ZufallsZahl) Then
                booGezogen(ZufallsZahl) = True
                Exit Do    '------------------------>
            End If
        Loop
        Return ZufallsZahl
    End Function
End Module
